For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet task actions
        • GETGet all tasks
        • GETGet task
        • POSTCreate task
        • PATCHUpdate task
Contact Sales
LogoLogo
API ReferenceTasksV3

Update task

Beta
PATCH
/api/tasks/v3/:task_id
PATCH
/api/tasks/v3/:task_id
$curl -X PATCH https://api.joincandidhealth.com/api/tasks/v3/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "task_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
3 "encounter_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
4 "task_type": "CUSTOMER_DATA_REQUEST",
5 "description": "description",
6 "blocks_claim_submission": true,
7 "external_id": "external_id",
8 "patient_name": "patient_name",
9 "patient_external_id": "patient_external_id",
10 "status": "finished",
11 "notes": [
12 {
13 "task_note_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
14 "text": "text",
15 "created_at": "2024-01-15T09:30:00Z",
16 "author_name": "author_name",
17 "author_organization_name": "author_organization_name"
18 },
19 {
20 "task_note_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
21 "text": "text",
22 "created_at": "2024-01-15T09:30:00Z",
23 "author_name": "author_name",
24 "author_organization_name": "author_organization_name"
25 }
26 ],
27 "created_at": "2024-01-15T09:30:00Z",
28 "updated_at": "2024-01-15T09:30:00Z",
29 "agg_updated_at": "2024-01-15T09:30:00Z",
30 "date_of_service": "2023-01-15",
31 "assignments": [
32 {
33 "task_assignment_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
34 "assignee_user_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
35 },
36 {
37 "task_assignment_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
38 "assignee_user_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
39 }
40 ],
41 "payer_name": "payer_name",
42 "payer_id": "payer_id",
43 "category": "other",
44 "configurable_rule_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
45}
Was this page helpful?
Previous

Get all write-offs

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

task_idUUIDRequired

Request

This endpoint expects an object.
statusenumOptional
assignee_user_idUUIDOptional
blocks_claim_submissionbooleanOptional

Response

This endpoint returns an object.
task_idUUID
encounter_idUUID
task_typeenum
descriptionstring
blocks_claim_submissionboolean
external_idstring
patient_namestring
patient_external_idstring
statusenum
noteslist of objects
created_atdatetime
updated_atdatetime
The time of most recent update to the task only
agg_updated_atdatetime
The time of most recent update to the task or any of its notes
date_of_servicedate
assignmentslist of objects
payer_namestring
payer_idstring
categoryenum
configurable_rule_idUUID

Errors

403
Unauthorized Error
404
Entity Not Found Error
422
Task Updated to Deprecated Status Error